计算管理/虚拟机相关接口
GETVM Related Interfaces起始版本 0.6同步需要认证
查询容错虚拟机组
查询容错虚拟机组
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
请求参数
此接口无需请求参数。
响应状态
请求地址
GET/zstack/v1/vm-instances/fault-tolerance
/zstack/v1/vm-instances/fault-tolerance
请求示例
curl -X GET 'http://{host}/zstack/v1/vm-instances/fault-tolerance' -H 'Authorization: OAuth {sessionUuid}'
响应示例
200{ "inventories": [ { "primaryVmInstanceUuid": "ff01ec80fd11327cba7519b66119d900", "status": "Protected", "uuid": "29143af975e13ecca23fe27cf41e17f2", "name": "Test-VM", "description": "Appliance VM", "zoneUuid": "f0e256b44d7f3d43ae1425447293fe56", "clusterUuid": "8e6eaa82530635ad9989a418291c1ab1", "imageUuid": "2f68491966cf31849a18bb05e3ca003a", "hostUuid": "9c41e82a18bb3c0a975e830f89991775", "lastHostUuid": "f26bf2d572d039c4b700e5eaa6096666", "instanceOfferingUuid": "be00bf01f4c93f23a412e199c6e834b3", "rootVolumeUuid": "a849787166773022ad1adfbbc9dec525", "platform": "Linux", "defaultL3NetworkUuid": "438062279ec7390ea33bd67bac0911f7", "type": "UserVm", "hypervisorType": "KVM", "memorySize": 8589934592, "cpuNum": 1, "allocatorStrategy": "LastHostPreferredAllocatorStrategy", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM", "state": "Running", "vmNics": [ { "uuid": "be5f5b6c35bf3cadbfe054eb359b6ba3", "vmInstanceUuid": "29143af975e13ecca23fe27cf41e17f2", "usedIpUuid": "7244210bce0c3e5b991a69e105457ab9", "l3NetworkUuid": "438062279ec7390ea33bd67bac0911f7", "ip": "192.168.1.10", "mac": "00:0c:29:bd:99:fc", "hypervisorType": "KVM", "netmask": "255.255.255.0", "gateway": "192.168.1.1", "deviceId": 0, "state": "enable", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ], "allVolumes": [ { "uuid": "a849787166773022ad1adfbbc9dec525", "name": "Root-Volume-For-VM-29143af975e13ecca23fe27cf41e17f2", "primaryStorageUuid": "c6d8def978b03513b15411ac1e923606", "vmInstanceUuid": "29143af975e13ecca23fe27cf41e17f2", "diskOfferingUuid": "de1d61e08234314abe1f5e09c202fcb9", "rootImageUuid": "2f68491966cf31849a18bb05e3ca003a", "installPath": "/zstack_ps/rootVolumes/acct-36c27e8ff05c4780bf6d2fa65700f22e/vol-a849787166773022ad1adfbbc9dec525/a849787166773022ad1adfbbc9dec525.qcow2", "type": "Root", "format": "qcow2", "size": 107374182400, "actualSize": 21474836480, "deviceId": 0, "state": "Enabled", "status": "Ready", "createDate": "Nov 14, 2017 2:20:57 PM", "lastOpDate": "Nov 14, 2017 2:20:57 PM" } ] } ] }变更历史
此 API 暂无变更历史记录。
